{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Debug Build API",
            "type": "process",
            "command": "dotnet",
            "args": [
                "build",
                "${workspaceFolder}/src/ASTRAIN.Api"
            ],
            "problemMatcher": "$msCompile",
            "group": "build"
        },
        {
            "label": "Debug Build Client",
            "type": "process",
            "command": "dotnet",
            "args": [
                "build",
                "${workspaceFolder}/src/ASTRAIN.Client"
            ],
            "problemMatcher": "$msCompile",
            "group": "build"
        },
        {
            "label": "Build & Push Docker",
            "type": "shell",
            "command": "${workspaceFolder}\\.venv\\Scripts\\python.exe",
            "args": [
                "${workspaceFolder}/docker/build_and_push_image.py"
            ],
            "problemMatcher": []
        }
    ]
}